function [drag1,drag2,dragrectx,dragrecty,Cd11,Cd22] = fitcd(KC1,D1,KC2,D2,KC3,KC4);

KC = [0.3 0.7 1.1 1.5 2 2.5];

Cdx = [2.5 1.8 1.1 0.9 0.72 0.7];
Cdrectx = [4.5 2 1.37 1.4 2 1.9];
Cdrecty = [9.5 4 3.5 2.2 2.3 2.2];
Fcirc = fit(KC',Cdx','poly3');
Frectx = fit(KC',Cdrectx','poly4');
Fdrecty = fit(KC',Cdrecty','poly4');

Cd1 = Fcirc(KC1);
Cd2 = Fcirc(KC2);
Cd1 = Cd1';
Cd2 = Cd2';
drag1 = 0.5*1025.*Cd1.*D1;
drag2 = 0.5*1025.*Cd2.*D2;

dragrectx = 0.5*1025*Frectx(KC4)*6;
dragrecty = 0.5*1025*Fdrecty(KC3)*6;
Cd22 = Fdrecty(KC3);
Cd11 = Cd1(1);
end